<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class State extends Model
{
    use HasFactory;

    public function cities()
    {
        return $this->hasMany('App\Models\City');
    }

    public function consultants()
	{
		return $this->hasMany('App\Models\Consultant', 'current_state_id', 'id');
	}

    public function clients()
	{
		return $this->hasMany('App\Models\Client', 'state_id', 'id');
	}
}
